package com.viafirma.fortress.demo;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.context.web.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;

@EnableConfigurationProperties
@SpringBootApplication
@ComponentScan("com.viafirma.fortress")
public class FortressDemoApplication extends SpringBootServletInitializer {

    private static final String SPRING_CONFIG_NAME = "spring.config.name:fortress-demo";

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(FortressDemoApplication.class).properties(SPRING_CONFIG_NAME);
    }

    public static void main(String[] args) {
        new SpringApplicationBuilder(FortressDemoApplication.class).properties(SPRING_CONFIG_NAME).run(args);
    }
}
