<!DOCTYPE html>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<html lang="en">

<jsp:include page="fragments/staticFiles.jsp" />

<body>
    <div class="container">
        <!-- Logo -->
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <img src="resources/images/logo.png" class="img-responsive center-block" /> <br />
            </div>
        </div>

        <!-- Callouts -->
        <div class="row">
            <div class="col-md-4 col-md-offset-4">

                <!--  Error -->
                <c:if test="${param['error'] != null}">
                    <div class="bs-callout bs-callout-warning">
                        <div class="row">
                            <div class="col-md-2 text-xs-center">
                                <h5>
                                    <i class="fa fa-2x fa-exclamation-triangle"></i>
                                </h5>
                            </div>
                            <div class="col-md-10">
                                <h5>Warning</h5>
                                <span>Invalid user code</span>
                            </div>
                        </div>
                    </div>
                </c:if>

                <!--  Success -->
                <c:if test="${param['logout'] != null}">
                    <div class="bs-callout bs-callout-success">
                        <div class="row">
                            <div class="col-md-2">
                                <h5>
                                    <i class="fa fa-2x fa-check-circle"></i>
                                </h5>
                            </div>
                            <div class="col-md-10">
                                <h5>Closed session</h5>
                                <span>Your session has been succesfully closed</span>
                            </div>
                        </div>
                    </div>
                </c:if>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="card card-block">
                    <form action="<c:url value="/login"/>" method="post">
                        <div class="form-group ">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <span class="fa fa-user" aria-hidden="true"></span>
                                </div>
                                <input type="text" name="username" class="form-control" placeholder="User" required autofocus>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <span class="fa fa-lock" aria-hidden="true"></span>
                                </div>
                                <input type="password" name="passwordx" class="form-control" placeholder="Password" autofocus>
                            </div>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary btn-block" type="submit">Login</button>
                        </div>
                    </form>
                    <jsp:include page="fragments/footer.jsp" />
                </div>
            </div>
        </div>
    </div>
</body>

</html>