<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>viafirma fortress</title>
</head>

<jsp:include page="fragments/staticFiles.jsp" />
<body>
    <div class="container">
        <!-- Logo -->
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <img src="resources/images/logo.png" class="img-responsive center-block" /> <br />
            </div>
        </div>
        <div class="row">
            <!-- Authentication -->
            <div class="col-md-4  col-md-offset-2 text-xs-center">
                <span class="big-icon"> <span class="fa-stack fa-lg"> <i class="fa fa-circle fa-stack-2x"></i> <i class="fa fa-users fa-stack-1x fa-inverse"></i>
                </span>
                </span>

                <div class="card">
                    <div class="card-header">Authentication</div>
                    <ul class="list-group list-group-flush text-xs-left">
                        <!--  IdP -->
                        <li class="list-group-item"><c:if test="${userStatus.auth}">
                                <h5 class="text-success">
                                    <i class="fa fa-check-circle-o"></i> Authentication is enabled
                                </h5>
                            </c:if> <c:if test="${!userStatus.auth}">
                                <h5 class="text-danger">
                                    <i class="fa fa-times-circle-o"></i> No IdP found for this user
                                </h5>
                            </c:if></li>
                    </ul>
                    <div class="card-block">
                        <a href="<c:url value="/auth"/>" class="btn btn-primary btn-block text-xs-left <c:if test="${!userStatus.auth}">disabled</c:if>"><i class="fa fa-user"></i> Authenticate</a> <a href="<c:url value="/logout"/>" class="btn btn-primary btn-block text-xs-left"><i class="fa fa-sign-out"></i> Logout</a>
                    </div>
                </div>
            </div>

            <!-- Sign -->
            <div class="col-md-4 text-xs-center">
                <span class="big-icon"> <span class="fa-stack fa-lg"> <i class="fa fa-circle fa-stack-2x"></i> <i class="fa fa-file-text fa-stack-1x fa-inverse"></i>
                </span>
                </span>
                <div class="card">
                    <div class="card-header">Documents to sign</div>
                    <ul class="list-group list-group-flush text-xs-left">
                        <!-- Certificate -->
                        <li class="list-group-item"><c:if test="${userStatus.sign}">
                                <h5 class="text-success">
                                    <i class="fa fa-check-circle-o"></i> Signature is enabled
                                </h5>
                            </c:if> <c:if test="${!userStatus.sign}">
                                <h5 class="text-danger">
                                    <i class="fa fa-times-circle-o"></i> No IdP or active certificate found for this user
                                </h5>
                            </c:if></li>
                    </ul>
                    <div class="card-block">
                        <a href="<c:url value="/sign/pdf"/>" class="btn btn-primary btn-block text-xs-left <c:if test="${!userStatus.sign}">disabled</c:if>"><i class="fa fa-pencil-square-o"></i> Sign sample contract (PDF)</a>
                        <a href="<c:url value="/sign/xml"/>" class="btn btn-primary btn-block text-xs-left <c:if test="${!userStatus.sign}">disabled</c:if>"><i class="fa fa-pencil-square-o"></i> Sign sample invoice (XML)</a>
                        <a href="<c:url value="/sign/batch"/>" class="btn btn-primary btn-block text-xs-left <c:if test="${!userStatus.sign}">disabled</c:if>"><i class="fa fa-pencil-square-o"></i> Sign all documents</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
